

Article 363 of comp.theory.cell-automata:
Path: mimsy!tank!ux1.cso.uiuc.edu!uwm.edu!cs.utexas.edu!uunet!mcsun!sunic!dkuug!freja.diku.dk!torbenm
>From: [email-masked] (Torben [gidius Mogensen)
Newsgroups: comp.theory.cell-automata
Subject: Re: Wireworld patterns
Keywords: long, wireworld
Message-ID: <[email-masked]>
Date: 1 Mar 90 14:25:37 GMT
References: <[email-masked]>
Organization: Department Of Computer Science, University Of Copenhagen
Lines: 85

[email-masked] (Trevor Green) writes:

> I have come up with a symmetric XOR gate that also has a lower IBI:

> .......
> .==....
> I=.=...
> .==.==.
> .....=O
> .==.==.
> I=.=...
> .==....
> .......
>Transit: 6
>IBI: 11
>Size: 7x7

How about:

..I....
.====..
.=.==O.
.====..
..I....

Transit: 3
IBI: 5

you can add another output opposite the O, which will be the OR'ed signal.

>For people attempting a wire-crosser, here's another design I came up with,
>with the idea of preventing the signals from colliding while they're in the
>device rather than delaying one beforehand and the other afterward.  If
>someone can come up with a better bypass, you'll get a better wire-crosser
>out of this:

> ............
> ..==..=.....
> .I=.===O....
> ..==..=.....
> .....=====..
> ....=.=...=.
> ...=.....=..
> ..=.=...=...
> ..===...=...
> ...=...===..
> ..=....=.=..
> .=......=...
> ..===.=.=...
> .....===....
> ..==..=.....
> .I=.===O....
> ..==..=.....
> ............
>Transit: 19
>IBI: 24
>Size: 12x18 (aack!)

You can make a wire-crosser with 3 EOR gates:

.....==.....
...==..=....
..=...====..
.I....=.==O.
..=...====..
.====..=....
.=.====.....
.====..=....
..=...====..
.I....=.==O.
..=...====..
...==..=....
.....==.....

Transit: 9
IBI: 5 (as the EOR gate)

I have not tried these except on paper, so there might be some bugs,
but I believe not.

>Trevor Green [email-masked] watmath!maytag!watcsc!death

Torben Mogensen ([email-masked])